UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Observer bstahlman
Observer
1,581 Views
Registered: ‎01-31-2017

Is it possible to use an older version of Linux kernel (e.g. 3.x) on Zynq Ultrascale MP SOC?

I'm building source from the xilinx linux kernel repo. The branch with tag xilinx-2016.3 was updated for Linux kernel 4.6, but I'd really prefer to use a 3.x version of the kernel; in particular, the one associated with xilinx-2013.4. The problem I see is that xilinx_zynqmp_defconfig didn't exist in that release package. Should it be possible to copy the xilinx_zynqmp_defconfig from arch/arm64 into the older source tree, or would I need to use an older defconfig: e.g., arch/arm/xilinx_zynq_defconfig? And if I were to use the older defconfig, what sort of degradation of functionality should I expect?

 

Thanks,

Brett S.

0 Kudos